Subject: Re: [RESEND 3/5] [NET]: Protocol Independant Policy Routing Rules Framework

From: Patrick McHardy <[email-masked]>
Date: Sat, 29 Jul 2006 03:40:13 +0200

Martin Josefsson wrote:
> As a somewhat related note, I've just digged a bit through RCU land,
> talked to dipankar and mckenney, and discovered that rcu_read_lock() /
> rcu_read_unlock() aren't strictly needed in softirqs since preempt is
> already disabled in softirqs. This means that you can use the result of
> the rcu read-side critical outside of the rcu_read_lock() /

Thats true, but in this case the code is executed both in softirq-
and user-context. Using rcu_read_lock and still relying on softirq
properties outside the locked section is also very confusing in my
opinion.